function TurtleGraph(xPos, yPos, nTicks, sTerm) {
	this.divId = ++jsLogoGlobalDivIdx;
	this.graphDiv = new jsGraphics(this.divId);
	this.ticks = 5; //Anzahl der Abschnitte
	this.axisTurtle = new GraphTurtle(this.graphDiv);
	this.xOrigin = 200;
	this.yOrigin = 200;
	this.graphTurtle = this.axisTurtle;
	this.schrittweite = 20;
	this.aufloesung = 5;
	this.fctTerm = sTerm;

	this.initKS = function() {
		this.xOrigin = xPos;
		this.yOrigin = yPos;		
		this.axisTurtle.setStep(this.schrittweite);
		this.axisTurtle.moveTo(this.xOrigin,this.yOrigin);
		
	}

	this.drawArrowHead = function (laenge) {
  		this.axisTurtle.drehen(-90);
  		this.axisTurtle.doStep(laenge/2);
  		this.axisTurtle.drehen(120);
  		this.axisTurtle.doStep(laenge);
  		this.axisTurtle.drehen(120);
  		this.axisTurtle.doStep(laenge);
  		this.axisTurtle.drehen(120);
 		this.axisTurtle.doStep(laenge/2);
  		this.axisTurtle.drehen(90);
	}

	this.drawKS = function (max) {
  		this.axisTurtle.drehen(180);
  		this.axisTurtle.doStep(-max);
		this.axisTurtle.textOffset(-15,0);
  		for (i=-max;i<=max;i++) {
  			if (i==0) this.axisTurtle.textOffset(-10,-5);
  			this.axisTurtle.schreibe(i);
  			this.axisTurtle.doStep(1);
 		}
		this.drawArrowHead(0.5)
		this.axisTurtle.schreibe("Y");
	
		this.axisTurtle.moveTo(this.xOrigin,this.yOrigin);
		this.axisTurtle.rechts(90);
 		this.axisTurtle.doStep(-max);

		this.axisTurtle.textOffset(0,3);
  		for (i=-max;i<=max;i++) {
  			if (i!=0) this.axisTurtle.schreibe(i);
  			this.axisTurtle.doStep(1);
  		}
  		this.axisTurtle.textOffset(10,0);
		this.drawArrowHead(0.5);
		this.axisTurtle.schreibe("X");
		this.axisTurtle.up();
		this.axisTurtle.left(90);
		this.axisTurtle.vor(3*this.schrittweite);
		this.axisTurtle.down();
		this.axisTurtle.schreibe(this.fctTerm);
	}

	this.initGraph = function() {
		this.initKS();
		this.drawKS(this.ticks);
	}

	this.initGraph();

	this.plotTerm = function (fct) {
		var xWert = 0;
		var yWert = 0;
		var start = 0;
		var leftBorder = -this.ticks*this.aufloesung;
		var rightBorder = -leftBorder;
		var topBorder = this.yOrigin-(this.ticks*this.schrittweite);
		var bottomBorder = this.yOrigin+(this.ticks*this.schrittweite);
		var touchedBorder = false;
		this.graphTurtle.moveTo(0,this.yOrigin);	
		this.graphTurtle.links(90);
		for (i=-this.ticks*this.aufloesung;i<=this.ticks*this.aufloesung;i++) {
			x=i/this.aufloesung;
			xWert = (x*this.schrittweite)+this.xOrigin;
			try {
				yWert = (-1)*eval(fct)*this.schrittweite+this.yOrigin;
			} catch(e) {
				alert("Der Funktionsterm '"+ fct +"' scheint nicht korrekt zu sein.");
				return;
			}
			if (start>0) { //Damit am Anfang nicht gezeichnet wird
				entfernung = this.graphTurtle.abstand(xWert,yWert);
				if (isFinite(entfernung)) {
					this.graphTurtle.drehenNach(xWert,yWert);
					if (yWert>topBorder && yWert<bottomBorder) {
						if (touchedBorder) touchedBorder = false;
						this.graphTurtle.vor(entfernung);
					} else {					
						if (touchedBorder) this.graphTurtle.stiftHoch();
						if (yWert<this.yOrigin) { //nach oben
							this.graphTurtle.drehenNach(xWert,topBorder);
							this.graphTurtle.vor(this.graphTurtle.abstand(xWert,topBorder));
						} else { //nach unten
							this.graphTurtle.drehenNach(xWert,bottomBorder);
							this.graphTurtle.vor(this.graphTurtle.abstand(xWert,bottomBorder));
						}
						if (touchedBorder) this.graphTurtle.stiftRunter();
						if (!touchedBorder) touchedBorder = true;
					}
				}
			} else {
				if (yWert >= topBorder && yWert <= bottomBorder) {
					this.graphTurtle.moveTo(xWert,yWert);
					start = 1;
				}
			}
		}
	}
	
	if (typeof sTerm != "string") sTerm = String(sTerm);
	if (sTerm!="") {
		this.plotTerm(sTerm);
	}
}